with (import <nixpkgs> {});
let
  asciidoctor_revealjs = bundlerApp {
    pname = "asciidoctor-revealjs";
    exes = [ "asciidoctor-revealjs" ];
    inherit ruby;
    gemdir = ./.;
  };

in derivation {
  name = "kafetech-fai";
  builder = "${bash}/bin/bash";
  args = [ ./build.sh ];
  inherit asciidoctor asciidoctor_revealjs coreutils jre graphviz;
  src = ./src;
  system = builtins.currentSystem;
}

